Skip to main content
Resource Center/Resource Pool/Volume Operations

CreateDataVolume

CreateDataVolume

POST/zstack/v1/volumes/data

Operation ID

CreateDataVolume

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • name
      StringRequired

      The volume name.

    • description
      String

      Optional. The detailed description of the volume.

    • diskOfferingUuid
      StringRequired

      The disk offering UUID.

    • primaryStorageUuid
      String

      Optional. The primary storage UUID.

    • resourceUuid
      String

      Optional. The resource UUID.

    • tagUuids
      List

      Optional. The tag UUID list.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    VolumeInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • primaryStorageUuid
      StringRequired

      The primary storage UUID.

    • vmInstanceUuid
      StringRequired

      The VM instance UUID.

    • diskOfferingUuid
      StringRequired

      The disk offering UUID.

    • rootImageUuid
      StringRequired

      The root image UUID.

    • installPath
      StringRequired

      The installation path.

    • type
      StringRequired

      The resource type.

    • format
      StringRequired

      The format.

    • size
      LongRequired

      The size.

    • actualSize
      LongRequired

      The actual size.

    • deviceId
      IntegerRequired

      The device ID.

    • state
      StringRequired

      The resource state.

    • status
      StringRequired

      The resource status.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • isShareable
      BooleanRequired

      Whether the resource is shareable.